Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.persist.connection
Class DBConnection

    java.lang.Object
      com.stc.connector.hl7.framework.persist.connection.AbstractDBConnection
          com.stc.connector.hl7.framework.persist.connection.DBConnection

Direct Known Subclasses:
  DB2DBConnImpl, DerbyDBConnImpl, OrclDBConnImpl, SqlServerDBConnImpl, SybaseDBConnImpl

    public class DBConnection

extends AbstractDBConnection

Field Summary

Fields inherited from class com.stc.connector.hl7.framework.persist.connection.AbstractDBConnection
`BATCH_DML_ERROR, DML_ERROR, mConn`

Constructor Summary
`DBConnection(java.sql.Connection conn)`

Method Summary
`java.sql.ResultSet` | `getRowWithStatus(HL7MessageLogDBO dbo)` executes query
`int` | `updateRowWithStatus(HL7MessageLogDBO obj)`

Methods inherited from class com.stc.connector.hl7.framework.persist.connection.AbstractDBConnection
`batchDelete, batchInsert, batchUpdate, delete, delete, executeUpdateOrDelete, get, getRow, getUnderlyingConnection, insert, insert, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBConnection

    public DBConnection(java.sql.Connection conn)
                 throws java.sql.SQLException

Parameters:
  `conn` - A JDBC connection
Throws:
  `java.sql.SQLException` - SQLException

Method Detail

### getRowWithStatus

    public java.sql.ResultSet getRowWithStatus(HL7MessageLogDBO dbo)
                                        throws java.sql.SQLException

  executes query

  Parameters:
    `obj` - DBObject
  Returns:
    ResultSet ResultSet
  Throws:
    `java.sql.SQLException` - SQLException

### updateRowWithStatus

    public int updateRowWithStatus(HL7MessageLogDBO obj)
                            throws java.sql.SQLException

  Parameters:
    `obj` - DBObject
  Throws:
    `java.sql.SQLException` - SQLException

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD